> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bill-to by ID [Deprecated]

> Get bill-to by ID



## OpenAPI

````yaml oms_v1 get /api-cart/bill-to/{billToId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-cart/bill-to/{billToId}:
    get:
      tags:
        - Bill To
      summary: Get bill-to by ID [Deprecated]
      description: Get bill-to by ID
      operationId: getBillToById
      parameters:
        - in: path
          name: billToId
          required: true
          schema:
            type: string
            minLength: 24
            maxLength: 24
            example: 5e5818a84d030c206b2ffb02
      responses:
        '200':
          description: Getting Bill To By ID
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - type: object
                        properties:
                          paymentMethod:
                            type: string
                            minLength: 3
                            maxLength: 24
                            example: Visa Credit
                          cardIdentifier:
                            type: string
                            minLength: 4
                            maxLength: 4
                            example: '1234'
                          amount:
                            type: number
                            minimum: 0.01
                            example: 149.99
                      - type: object
                        properties:
                          address:
                            allOf:
                              - type: object
                                required:
                                  - street1
                                  - city
                                  - state
                                  - country
                                  - zipCode
                                  - email
                                  - name
                              - type: object
                                properties:
                                  attention:
                                    type: string
                                    maxLength: 140
                                    example: Leave at the back door.
                                  street1:
                                    type: string
                                    maxLength: 140
                                    example: 123 Main Street
                                  street2:
                                    type: string
                                    maxLength: 240
                                    example: ABC Boulevard
                                  city:
                                    type: string
                                    maxLength: 140
                                    example: Seattle
                                  state:
                                    type: string
                                    maxLength: 25
                                    example: WA
                                  country:
                                    type: string
                                    maxLength: 140
                                    example: United States of America
                                  zipCode:
                                    type: string
                                    minLength: 3
                                    maxLength: 25
                                    example: 10008-1234
                                  kind:
                                    type: string
                                    maxLength: 24
                                    example: TBD
                              - type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        minLength: 2
                                        maxLength: 50
                                        example: John
                                      last:
                                        type: string
                                        minLength: 2
                                        maxLength: 50
                                        example: Smith
                                  phone:
                                    type: object
                                    required:
                                      - number
                                      - kind
                                    properties:
                                      number:
                                        type: string
                                        minLength: 5
                                        maxLength: 25
                                        example: 123-456-7890
                                      kind:
                                        type: string
                                        minLength: 3
                                        maxLength: 25
                                        example: Mobile
                                  email:
                                    type: string
                                    format: email
                                    minLength: 5
                                    maxLength: 100
                                    example: johnsmith@fabric.inc
                      - type: object
                        properties:
                          billToId:
                            type: number
                            example: 1
                          cart:
                            type: string
                            example: 5e5818a84d030c206b2ffb02
                      - type: object
                        properties:
                          _id:
                            type: string
                            example: 5fee9d59f2f08a1b3cbdea08
                          createdAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                          updatedAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                  - type: object
                    properties:
                      __v:
                        type: number
                        example: 0
        '400':
          $ref: '#/components/responses/GenericClientError'
        '404':
          description: BillTo not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    example: BILLTO_NOT_FOUND
                    type: string
                  message:
                    description: The error message
                    example: Bill-to not found.
                    type: string
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````